## ros-melodic-ur-description 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ur_description)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(tests/roslaunch_test_ur10e.xml)
  roslaunch_add_file_check(tests/roslaunch_test_ur10.xml)
  roslaunch_add_file_check(tests/roslaunch_test_ur16e.xml)
  roslaunch_add_file_check(tests/roslaunch_test_ur3e.xml)
  roslaunch_add_file_check(tests/roslaunch_test_ur3.xml)
  roslaunch_add_file_check(tests/roslaunch_test_ur5e.xml)
  roslaunch_add_file_check(tests/roslaunch_test_ur5.xml)
endif()

install(DIRECTORY cfg config launch meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-ur-description (1.3.1-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 10 Nov 2022 23:00:00 -0000

ros-melodic-ur-description (1.3.0-1bionic) bionic; urgency=high

  * Merge melodic-devel-staging #617 <https://github.com/ros-industrial/universal_robot/issues/617> from ros-industrial/melodic-devel-staging
  * ur_description: Make robot name configurable on load_ur.launch (#612 <https://github.com/ros-industrial/universal_robot/issues/612>)
    In 9d02ccadc8fb9b5cfeaf0d5b0c0c7708d2461447 robot launchfiles were forwarded
    to their specialized launchfiles instead of setting the robot model in the
    load_ur.launch file.
  * Fixed ur5 base height (#607 <https://github.com/ros-industrial/universal_robot/issues/607>)
    The visual and collision mesh of the base of the ur5 has to be moved 3 mm upwards in order to close the gap between the shoulder and align its bottom in the xy-plane. Otherwise the ur5 collides with the surface it is directly placed on.
  * Merge pull request #602 <https://github.com/ros-industrial/universal_robot/issues/602> from fmauch/fix_deprecation_warning
    fixing deprecation warning
  * fixing deprecation warning
  * ur_description: Use the per-model xacro files for correct robot name (#588 <https://github.com/ros-industrial/universal_robot/issues/588>)
    With the common xacro file the robot name will always be "ur".
    However, the moveit config packages expect the robot name to be e.g. "ur10e".
    This commit will use the macros containing the model name already.
  * Increase minimum CMake version to allow builds on Focal Fossa (Noetic) (#586 <https://github.com/ros-industrial/universal_robot/issues/586>)
  * Merge pull request #562 <https://github.com/ros-industrial/universal_robot/issues/562> from fmauch/convenience_macros
    Add convenience macros for description files
  * Replace __ prefixes (#579 <https://github.com/ros-industrial/universal_robot/issues/579>)
    With newer versions of xacro this leads to errors otherwise.
  * description: provide convenience top-levels and macros.
    These avoid users having to provide values for *all* arguments of the 'ur_robot' macro.
    In many cases, users will want to keep the default files for the joint limits, physical and visual parameters, and only override the default kinematics (to use extracted calibration fi).
    With the provided wrapper macros, this is possible, as variant-specific defaults are provided for all arguments, requiring only to override the required ones.
    Users looking to include a UR into a larger scene or composite xacro macro should 'xacro:include' these '_macro.xacro' files.
    The top-levels are only useful when loading a stand-alone UR in an otherwise empty scene. They do not allow access to any arguments and only use the defaults.
  * description: main macro xacro is not a top-level.
    So move to include directory.
  * Merge pull request #533 <https://github.com/ros-industrial/universal_robot/issues/533> from gavanderhoorn/yaml_ctors_rosparam_joint_limits
    description: spec limits in degrees.
  * description: spec limits in degrees.
    Use rosparam's and xacro's support for these special constructors to convert to radians on-the-fly.
  * Merge pull request #520 <https://github.com/ros-industrial/universal_robot/issues/520> from gavanderhoorn/fix_yaml_loading
    Load yaml files in read_model_data(..), nowhere else
  * description: delegate loading yaml files to read_model_data(..).
    This avoids having to 'remember' to load_yaml(..) the contents of those files in every user of the 'ur_robot' macro, and seems to conform to the idea behind the '*_parameters_file' naming of the parameters (they're paths to files, not yaml strings).
  * Merge pull request #516 <https://github.com/ros-industrial/universal_robot/issues/516> from gavanderhoorn/convert_limits_files
    Use 'ros_control style' joint limit files
  * description: load values from new params.
    'ros_control format' uses different names, so use them.
  * description: they're joint limits.
    Not joints limits.
  * description: load new joint limit files.
  * description: convert joint limit files to 'ros_control format'.
    This allows re-using them with MoveIt and ros_control hw interfaces.
  * description: rename limit files.
    Bring in-line with other joint limit files.
  * description: add missing safety_ctrlr for shoulder pan. (#514 <https://github.com/ros-industrial/universal_robot/issues/514>)
  * description: correct joint limits for all supported variants. (#513 <https://github.com/ros-industrial/universal_robot/issues/513>)
    Based on values from the User Manuals.
  * description: fix main macro docs. (#512 <https://github.com/ros-industrial/universal_robot/issues/512>)
  * Merge pull request #505 <https://github.com/ros-industrial/universal_robot/issues/505> from gavanderhoorn/fix_base_link_orientation
    Remove incorrect base_link rotation.
  * description: correct orientation of Base mesh.
    Connector should be aligned with Y+ of 'base' frame.
  * description: fix orientation of 'base' frame.
    So it's coincident with the robot's/controller's 'Base' frame. It's actually 180 degrees rotated over Z wrt 'base_link'.
  * description: rotate for UR internal frames.
  * description: introduce base_link_inertia link.
    To work around the root-link-with-inertia limitation in KDL.
  * description: remove the 'base_correction' property.
    There is an offset between 'base_link' and 'base', but it's a fixed one, known and does not need to be a property.
    Rectify the problem with the 'base_link' mesh in a follow-up commit.
  * description: assume -0==0. (#511 <https://github.com/ros-industrial/universal_robot/issues/511>)
  * description: use mat def from yaml for base_link. (#509 <https://github.com/ros-industrial/universal_robot/issues/509>)


=== debian/control ===
Source: ros-melodic-ur-description
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch <!nocheck>
Homepage: http://wiki.ros.org/ur_description
Standards-Version: 3.9.2

Package: ros-melodic-ur-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-joint-state-publisher-gui, ros-melodic-robot-state-publisher, ros-melodic-rviz, ros-melodic-urdf, ros-melodic-xacro
Description: URDF description for Universal UR3(e), UR5(e), UR10(e) and UR16e robots

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ur-description//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
